C API Functions

## udbKindLongname

### Description

Return the longname associated with the specified kind. Return NULL if an invalid kind is specified. The returned name is Static, Non-Allocated.

The longname is the fullname of the kind. The shortname is an informal name for the kind.

### Syntax

     #include "udb/udb.h"
     char   *udbKindLongname(UdbKind kind);

### Arguments

Argument | description
UdbKind kind | Specify the kind

### Return Values

Return Value | description
char * | The longname associated with the specified kind. The returned name is Static, Non-Allocated.

### Example Usage

     printf(" (%s)\n", udbKindLongname( udbEntityKind(entity)) );

### See Also

udbEntityKind to get the kind of a specified entity.

udbKindShortname to get the short name of the specified kind.

udbReferenceKind to get the kind of a specified reference.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com